/**********************************************************************
 * File Name: CommMessage.java
 *
 * Copyright (C) 2000, US Air Force Research Laboratory,
 * Rome Research Site, Rome NY 13424, USA.
 *
 * Use of this software implies acceptance of the terms described in
 * accompanying license.txt file.
 *
 *
 * Authors: James Lawton, John Crowter,
 *          Bob Paragi, and Joe Beasock
 *
 * Creation Date: July 1999
 *
 * Description:
 *
 * Modification History:
 *
 **********************************************************************/
import java.lang.*;
import java.util.*;


public class CommMessage {
    public String message_id;
    public int duration;
    public ArrayList messages;


    public CommMessage (String msgID, int dur) {
	message_id = msgID;
	duration = dur;
	messages = new ArrayList();
    }

    public CommMessage () {
	message_id = null;
	duration = 0;
	messages = new ArrayList();
    }
}
